org.apache.ignite.internal.processors.cache

## Interface GridCacheMvccFuture<T>

All Superinterfaces:
  GridCacheFuture<T>, IgniteInternalFuture<T>

All Known Implementing Classes:
  GridDhtColocatedLockFuture, GridDhtLockFuture, GridDhtTxPrepareFuture, GridLocalLockFuture, GridNearLockFuture, GridNearOptimisticSerializableTxPrepareFuture, GridNearOptimisticTxPrepareFuture, GridNearOptimisticTxPrepareFutureAdapter, GridNearPessimisticTxPrepareFuture, GridNearTxPrepareFutureAdapter

    public interface GridCacheMvccFuture<T>
    extends GridCacheFuture<T>

Distributed future aware of MVCC locking.

### Method Summary

Methods
`boolean` `onOwnerChanged(GridCacheEntryEx entry, GridCacheMvccCandidate owner)`
`GridCacheVersion` `version()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`futureId, markNotTrackable, onNodeLeft, trackable`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, duration, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result, startTime`

### Method Detail

#### version

    GridCacheVersion version()

Returns:
  Future version.

#### onOwnerChanged

    boolean onOwnerChanged(GridCacheEntryEx entry,
                         GridCacheMvccCandidate owner)

Parameters:
  `entry` - Entry which received new owner.
  `owner` - Owner.
Returns:
  `True` if future cares about this entry.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016